Test Suites

/api/v2/testsuites/{id} 📋 Copied! Get Test Suite Details

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

Test Suite data.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string",
"description": "string",
"testCaseIds": [
    {
        "id": 0,
        "name": "string"
    }
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true,
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0,
"name": "string",
"description": "string",
"testCaseIds": [
    {
        "id": 0,
        "name": "string"
    }
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true,
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}
/api/v2/testsuites/{id} 📋 Copied! Update a Test Suite

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Request body *

{
"name": "string",
"description": "string",
"testCaseIds": [
    {
        "id": 0,
        "name": "string"
    }
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true,
"projects": [
    {
        "id": 0,
        "name": "string"
    }
]
}

Responses

Code Description
200

Test Suite was updated successfully.

Media type: application/json

404

Resource was not found.

Media type: application/json

/api/v2/testsuites/{id} 📋 Copied! Delete a Test Suite

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

Test Suite was deleted successfully.

Media type: application/json

404

Resource was not found.

Media type: application/json

/api/v2/testsuites/{id}/execute 📋 Copied! Execute a Test Suite

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

ID of the Test Execution.

Media type: application/json

Example Value:

{
"id": 0
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0
}
409

Test Suite cannot be executed.

Media type: application/json

Example Value:

{
"id": 0
}
/api/v2/testsuites/{id}/cancel 📋 Copied! Cancel a Test Suite execution

Parameters

Name Description
id * Numeric ID of the Test Suite.
Type: integer (path)

Responses

Code Description
200

ID of the Test Execution.

Media type: application/json

Example Value:

{
"id": 0
}
404

Resource was not found.

Media type: application/json

Example Value:

{
"id": 0
}
409

Test Suite execution cannot be cancelled.

Media type: application/json

Example Value:

{
"id": 0
}
/api/v2/testsuites 📋 Copied! List Test Suites

Parameters

Name Description
page The page to list entries.
Type: string (query)
Default value: 0
size The page size for listing entries.
Type: string (query)
Default value: 20
sort The sort type for listing entries.
Type: string (query)
prj The project list for filtering entries.
Type: string (query)
filterName The name/type of the filter.
Type: string (query)
filterValue The value of the filter.
Type: string (query)

Responses

Code Description
200

OK

Media type: application/json

Example Value:

{
"totalElements": 0,
"totalPages": 0,
"number": 0,
"sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
},
"size": 0,
"content": [
    {
        "id": 0,
        "name": "string",
        "description": "string",
        "testCaseNames": [
            "string"
        ],
        "nextRunTime": "string",
        "schedule": {
            "startTime": "string",
            "repeating": true,
            "repeatPeriod": 0,
            "repeatUnit": "string"
        },
        "status": "string",
        "lastExecutionId": 0,
        "lastExecutionTime": "string",
        "statistics": {
            "tsExecution": 0,
            "tsAvgExecutionTime": 0,
            "tcExecution": 0,
            "tcSuccess": 0
        },
        "notifEmail": "string",
        "updated": "string",
        "projects": [
            {
                "id": 0,
                "name": "string"
            }
        ]
    }
],
"first": true,
"last": true,
"pageable": {
    "sort": {
        "sorted": true,
        "unsorted": true,
        "empty": true
    },
    "offset": 0,
    "paged": true,
    "unpaged": true,
    "pageNumber": 0,
    "pageSize": 0
},
"numberOfElements": 0,
"empty": true
}
/api/v2/testsuites 📋 Copied! Create a Test Suite

Request Body *

{
"name": "string",
"description": "string",
"testCaseIds": [
    0
],
"testCaseWeights": [
    0
],
"schedule": {
    "startTime": "string",
    "repeating": true,
    "repeatPeriod": 0,
    "repeatUnit": "string"
},
"tags": "string",
"notifyFailureThresholdPercentage": 100,
"disabled": true,
"notifEmail": "string",
"failureNotifEmail": "string",
"skipInitialization": true
}

Responses

Code Description
201

ID of the Test Suite.

Media type: application/json

Example Value:

{
"id": 0
}
409

Name needs to be unique.

Media type: application/json

Example Value:

{
"id": 0
}